{% extends 'base.twig' %}


{% block main %}

<div class="grid">
    <article>
        <h2>Discover the {{ dino.name }}</h2>

        <div class="description">
            {{ dino.description|markdown|raw }}
        </div>

        <div class="card">
            <img src="{{ dino.avatar }}" alt="{{ dino.name }}" />
            <dl>
                <dt>Name</dt>
                <dd>{{ dino.name }}</dd>
                <dt>Name meaning</dt>
                <dd>{{ dino.name_meaning }}</dd>
                <dt>Diet</dt>
                <dd>{{ dino.diet }}</dd>
                <dt>Height</dt>
                <dd>{{ dino.height }} m.</dd>
                <dt>Length</dt>
                <dd>{{ dino.length }} m.</dd>
                <dt>Weight</dt>
                <dd>{{ dino.weight }} kg.</dd>
            </dl>
        </div>
    </article>

    <aside>
        <h3>Top rated dinosaurs</h3>
        {% for dino in top_rated_dinosaurs %}
            <a href="/dinosaur/{{ dino.slug }}">
                <figure>
                    <img src="{{ dino.avatar }}" alt="{{ dino.name }}" />
                    <figcaption>Discover the {{ dino.name }}</figcaption>
                </figure>
            </a>
        {% endfor %}
    </aside>
</div>
{% endblock %}